=== debian/changelog ===
i7z (0.27.2-2ubuntu1) saucy; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/control: Future-proof by adding x32 to the architecture list

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 15 Aug 2013 07:44:30 +1000

i7z (0.27.2-2) unstable; urgency=low

  * Use canonical Vcs-* URLs.
  * hyphen-used-as-minus-sign.patch: New. Fix manpage.
  * fix-insecure-tempfile.patch: New. Fix insecure usage of /tmp/cpufreq.txt.
    Use popen() instead of a temporary file.  (Closes: #718418)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 01 Aug 2013 03:16:07 +0200

i7z (0.27.2-1ubuntu1) saucy; urgency=low

  * Future-proof by adding x32 to the architecture list.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 29 Apr 2013 09:37:19 -0600

i7z (0.27.2-1) unstable; urgency=low

  * Initial release (Closes: #703060)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Mar 2013 21:16:14 +0100
