=== debian/control ===
Source: i7z
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andreas Beckmann <anbe@debian.org>
Build-Depends: debhelper (>= 9),
 libncurses5-dev,
 libqt4-dev,
 gdb,
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/i7z/
Vcs-Git: git://anonscm.debian.org/collab-maint/i7z.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/i7z.git;a=summary

Package: i7z
Architecture: amd64 i386 x32
Depends: msr-tools, ruby | ruby-interpreter, ${shlibs:Depends}, ${misc:Depends}
Description: reporting tool for i7, i5, i3 CPUs
 i7z reports Intel Core i7, i5, i3 CPU information about Turbo Boost,
 frequencies, multipliers, ... and comes top-like display showing per core the
 current frequency, temperature and times spent in the C0/C1/C3/C6/C7 states.
 .
 There is also an i7z_rw_registers script that allows toggling Turbo mode
 or set multipliers.

Package: i7z-gui
Architecture: amd64 i386 x32
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GUI for i7z, a reporting tool for i7, i5, i3 CPUs
 i7z reports Intel Core i7, i5, i3 CPU information about Turbo Boost,
 frequencies, multipliers, ... and comes top-like display showing per core the
 current frequency, temperature and times spent in the C0/C1/C3/C6/C7 states.
 .
 This package contains the QT gui for i7z.
 .
 Note: For sandybridge and ivybridge, it incorrectly adds C7 state values to
 the C0 state, so it does report things incorrectly; use the console version
 as its up to date.
