=== debian/watch ===
version=3
http://code.google.com/p/i7z/downloads/list?can=1 .*/i7z-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
