## i7z 0.27.2%2Bgit2013.10.12-g5023138

=== debian/control ===
Source: i7z
Section: admin
Priority: optional
Maintainer: Andreas Beckmann <anbe@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libncurses-dev,
 gdb,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/ajaiantilal/i7z
Vcs-Browser: https://salsa.debian.org/debian/i7z
Vcs-Git: https://salsa.debian.org/debian/i7z.git

Package: i7z
Architecture: amd64 i386 x32
Depends: msr-tools, ruby | ruby-interpreter, ${shlibs:Depends}, ${misc:Depends}
Description: reporting tool for i7, i5, i3 CPUs
 i7z reports Intel Core i7, i5, i3 CPU information about Turbo Boost,
 frequencies, multipliers, ... and comes top-like display showing per core the
 current frequency, temperature and times spent in the C0/C1/C3/C6/C7 states.
 .
 There is also an i7z_rw_registers script that allows toggling Turbo mode
 or set multipliers.
