## i7z 0.27.2+git2013.10.12-g5023138

=== debian/changelog ===
i7z (0.27.2+git2013.10.12-g5023138-3) unstable; urgency=medium

  * fix_cpuid_asm.patch: New, fix register corruption on amd64.
  * Switch homepage and watch file from google code to github.
  * Add README.Debian describing the required permissions.  (Closes: #811401)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 Jan 2016 16:11:08 +0100

i7z (0.27.2+git2013.10.12-g5023138-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * qmake-hardening.patch: Enable hardening flags for building the GUI.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Oct 2014 21:30:24 +0200

i7z (0.27.2+git2013.10.12-g5023138-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * use_stdbool.patch: Use <stdbool.h> to get a consistent bool definition.
    (Closes: #749724)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 08 Aug 2014 20:01:20 +0200
