=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: i7z
 Section: admin
-Priority: optional
+Priority: extra
 Maintainer: Andreas Beckmann <anbe@debian.org>
-Build-Depends:
- debhelper-compat (= 12),
- libncurses-dev,
+Build-Depends: debhelper (>= 9),
+ libncurses5-dev,
+ libqt4-dev,
  gdb,
-Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 3.9.6
 Homepage: https://github.com/ajaiantilal/i7z
-Vcs-Browser: https://salsa.debian.org/debian/i7z
-Vcs-Git: https://salsa.debian.org/debian/i7z.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/i7z.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/i7z.git
 
 Package: i7z
 Architecture: amd64 i386 x32
@@ -22,3 +21,17 @@
  .
  There is also an i7z_rw_registers script that allows toggling Turbo mode
  or set multipliers.
+
+Package: i7z-gui
+Architecture: amd64 i386 x32
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: GUI for i7z, a reporting tool for i7, i5, i3 CPUs
+ i7z reports Intel Core i7, i5, i3 CPU information about Turbo Boost,
+ frequencies, multipliers, ... and comes top-like display showing per core the
+ current frequency, temperature and times spent in the C0/C1/C3/C6/C7 states.
+ .
+ This package contains the QT gui for i7z.
+ .
+ Note: For sandybridge and ivybridge, it incorrectly adds C7 state values to
+ the C0 state, so it does report things incorrectly; use the console version
+ as its up to date.
