=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	cd GUI && qmake
	$(MAKE) -C GUI

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f GUI/Makefile ] || $(MAKE) -C GUI clean mocclean
	$(RM) GUI/Makefile
